# Interface methods for submodule: Matrix
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: Matrix
class MatrixProxy():
	def __call__(self, row: int, col: int) -> float:
		""""""
		...

	def GetVnlMatrix(self) -> vnl_matrix_fixed:
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

	@staticmethod
	def GetIdentity():
		""""""
		...

	def Fill(self, value: float) -> None:
		""""""
		...

	def GetInverse(self) -> vnl_matrix_fixed:
		""""""
		...

	def GetTranspose(self) -> vnl_matrix_fixed:
		""""""
		...

	def swap(self, other) -> None:
		""""""
		...

